Bug 80663 - EDITING - Crash on Undo deletion of table row or column
Summary: EDITING - Crash on Undo deletion of table row or column
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.1 rc
Hardware: Other All
: high critical
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.4.0 target:4.3.0.2 target:5.4.0
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2014-06-29 07:04 UTC by pierre-yves samyn
Modified: 2017-01-15 21:29 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
windbg trace (30.98 KB, text/plain)
2014-06-29 07:04 UTC, pierre-yves samyn
Details
bt console from master sources (8.35 KB, text/plain)
2014-06-29 10:17 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2014-06-29 07:04:02 UTC
Created attachment 101960 [details]
windbg trace

Hi

Crash after canceling the deletion of table row or column

Platform: Windows 7/64 & Version: 4.3.0.1
Build ID: 67f5430184326974072b65403ef1d9d934fc4481

Steps to reproduce:
1. File> New> Text Document
2. Table> Insert> Table> Insert

Expected & actual result : a 2 rows, 2 cols table created

3. Table> Delete> one Row
4. Edit> Undo delete row

Crash (same if you delete col)

I try to join a windbg trace...

I set the keyword Regression because it was ok with Version: 4.2.5.1
Build ID: 881bb88abfe2992c6cede97c23e64a9885de87de

May be related to bug 75110 but I think it is not a duplicate because I have no crash with the attachment 94431 [details] following 75110 steps.

Regards
Pierre-Yves
Comment 1 tommy27 2014-06-29 08:29:57 UTC
reproducible under Win7x64 using 4.4.0.0.alpha0+
Build ID: 95272e7e5b7e38753ab07dbd6503b7cfa2974842
TinderBox: Win-x86@42, Branch:master, Time: 2014-06-26_23:01:43
Comment 2 Julien Nabet 2014-06-29 10:17:32 UTC
Created attachment 101969 [details]
bt console from master sources

On pc Debian x86-64 with master sources updated yesterday, I could reproduce the crash.
I attached bt + console logs.
Comment 3 Julien Nabet 2014-06-29 10:18:11 UTC
Michael: one for you?
Comment 4 pierre-yves samyn 2014-06-30 07:40:52 UTC
Hi

Also reproduced (same release) on 
Windows 7 Edition Familliale Premium Service Pack1

and on Ubuntu 14.04 x86-64 with Version: 4.3.0.1.0+ Build ID: 8d01d023eb478a00116b4f97cd01000aa857c7bb

Regards
Pierre-Yves
Comment 5 Michael Stahl (CIB) 2014-06-30 13:07:26 UTC
26946775d73ee0b4f8fd3effa37549f463fde6db..304d90669a036f31c23529e8838f09ed1d19efc1

regression from:

commit bc0c939270a45469b8f22008288b5e4a4d9c9861
Author:     Michael Stahl <mstahl@redhat.com>
AuthorDate: Fri May 2 15:51:22 2014 +0200

    fdo#57197: sw: fix crash on Undo of table row/column insert
Comment 6 Michael Stahl (CIB) 2014-06-30 21:47:22 UTC
fixed on master
Comment 7 Commit Notification 2014-06-30 21:48:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c157249207552e193e52f5ab7fad5b37ae0a748

fdo#80663: sw: fix crash on Undo of table row/column delete



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-07-01 11:25:52 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=841fe2a12ea24c5f1ed61e48e15939b3b05acc5d&h=libreoffice-4-3

fdo#80663: sw: fix crash on Undo of table row/column delete


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 pierre-yves samyn 2014-07-21 07:56:17 UTC
Hi

I do not reproduce on windows 7/64 & Version: 4.3.0.3
Build ID: 08ebe52789a201dd7d38ef653ef7a48925e7f9f7

Thank you :)

Regards
Pierre-Yves
Comment 10 Commit Notification 2015-07-10 11:10:37 UTC
Varun committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a0efa9873b1a5cae4ae0719a7ae1eee97838168

Added Test for tdf#80663 table row/column delete undo crash

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2017-01-15 21:29:44 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e033311c1a4fcfe594bc773d58da6cc06d4dd624

tdf#80663 Add uitest

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.